# Class ExtractControlMixin

#### Hierarchy (view full)

- ExtractControlMixin
  - ExtractOptionsDataSourceMixin
  - ExtractOptionsMethodMixin
  - ExtractResolveMethodMixin

- Defined in packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:8

#####
Index

### Constructors

constructor

### Properties

control?
matFormField?
ngControl

### Methods

extractControl

## Constructors

### constructor

- new ExtractControlMixin(): ExtractControlMixin

- #### Returns ExtractControlMixin

## Properties

### `Protected` `Optional` control

control?: RxapFormControl<any, any, any>

- Defined in packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:14

### `Protected` `Optional` matFormField

matFormField?: null | MatFormField

- Defined in packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:12

### `Protected` ngControl

ngControl: null | NgControl | AbstractControlDirective

- Defined in packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:10

## Methods

### `Protected` extractControl

- extractControl(ngControl?): RxapFormControl<any, any, any>

- #### Parameters

  - ngControl: null | NgControl | AbstractControlDirective = ...

  #### Returns RxapFormControl<any, any, any>

  - Defined in packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:16